1.5.10 doesn't like curl -I

I’ve built up a version of 1.5.10 on amazon linux 2013.09 which supports
spdy and ngx_pagespeed… configure looks like this:

./configure --prefix=/etc/nginx
–sbin-path=/usr/sbin/nginx
–conf-path=/etc/nginx/nginx.conf
–error-log-path=/var/log/nginx/error.log
–http-log-path=/var/log/nginx/access.log
–pid-path=/var/run/nginx.pid
–lock-path=/var/run/nginx.lock
–http-client-body-temp-path=/var/cache/nginx/client_temp
–http-proxy-temp-path=/var/cache/nginx/proxy_temp
–http-fastcgi-temp-path=/var/cache/nginx/fastcgi_temp
–http-uwsgi-temp-path=/var/cache/nginx/uwsgi_temp
–http-scgi-temp-path=/var/cache/nginx/scgi_temp
–user=nginx
–group=nginx
–with-openssl-opt=“enable-ec_nistp_64_gcc_128”
–with-http_ssl_module
–with-http_spdy_module
–with-http_realip_module
–with-http_addition_module
–with-http_sub_module
–with-http_gunzip_module
–with-http_gzip_static_module
–with-http_random_index_module
–with-http_secure_link_module
–with-http_stub_status_module
–with-http_dav_module
–with-http_xslt_module
–with-mail
–with-mail_ssl_module
–with-file-aio
–with-debug
–with-sha1=/usr/include/openssl
–with-md5=/usr/include/openssl
–add-module=…/ngx_pagespeed-1.7.30.3-beta
'–with-cc-opt=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic ’

( so starting point was output from nginx -V from the standard build
from the nginx repo, with the other stuff added in as necessary ).

I noticed that when sending a curl -I hostname I got a

curl: (52) Empty reply from server

and /var/log/messages gets the line

Feb 16 20:43:05 ip-10-9-0-31 kernel: [1621871.540112] nginx[18956] trap
int3 ip:4ba41d sp:7fff398311f0 error:0

added. I’ve reverted to the stock 1.4.5 for the minute, but would like
guidance as to where to look for the problem.

Cheers,

Steve


Steve H. BSc(Hons) MIITP
http://www.greengecko.co.nz
Linkedin: http://www.linkedin.com/in/steveholdoway
Skype: sholdowa

On Mon, Feb 17, 2014 at 10:41:25AM +1300, Steve H. wrote:

Hi there,

added. I’ve reverted to the stock 1.4.5 for the minute, but would like
guidance as to where to look for the problem.

What happens if you omit the third-party modules?

f

Francis D. [email protected]

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs